Tough to Update!

Support and discussions for the x86/x64 Linux version of Pale Moon and specific Linux distribution questions related to the browser.

Moderator: trava90

Forum rules
If your question is about general use of the browser and not specific to Linux, then please use the General Support board.
Post Reply
User avatar
GirishSharma
New to the forum
New to the forum
Posts: 2
Joined: 2020-11-05, 15:20

Tough to Update!

Post by GirishSharma » 2020-12-22, 05:41

I am on Ubuntu 20.10 and using PM 28.15.0 (64 bit). I am not asking rocket science question but really frustrated to change the behavior of updating the PM. Earlier I have updated the PM by sudo -H palemoon and then Help--About Pale Moon--Check for update, but I don't know whey you have removed the check for update option? Why you tech people change the way :oops: :oops:

Now, how I update it to latest version?

Life is already cumbersome, please don't make it more hardening!!

User avatar
Pentium4User
Astronaut
Astronaut
Posts: 575
Joined: 2019-04-24, 09:38

Re: Tough to Update!

Post by Pentium4User » 2020-12-22, 06:50

The tarball version of Pale Moon still includes the internal updater, the deb variant by Steve does not, because it is being updates via the package manager apt and not by the application itself.

Run

Code: Select all

dpkg -l |grep palemoon
sudo apt update
sudo apt upgrade
and post the output in the forum.
Powerline adapters (dLAN) hardly interfere shortwave radio, so stop using them.

Yes, I still use a 64 bit capable Pentium 4 670 processor with Pale Moon.

User avatar
adesh
Board Warrior
Board Warrior
Posts: 1277
Joined: 2017-06-06, 07:38

Re: Tough to Update!

Post by adesh » 2020-12-22, 07:21

GirishSharma wrote:
2020-12-22, 05:41
but I don't know whey you have removed the check for update option? Why you tech people change the way :oops: :oops:
It has not been removed by the developers but by the person providing the package for your distribution (and that's how it should be). If you use the package manager to install, then internal updater is not needed anyway as updates should also be handled by the package manager.

User avatar
New Tobin Paradigm
Knows the dark side
Knows the dark side
Posts: 8559
Joined: 2012-10-09, 19:37
Location: Skaro

Re: Tough to Update!

Post by New Tobin Paradigm » 2020-12-22, 09:44

It has been many versions since the about box had the check for updates feature in because the older menu item in the help menu was restored some time ago saving two clicks. This was specifically changed in 28.5.0 (2019-04-30). Of course that is if you are using the generic binary.

If it is from Steve's debian repo then it never had the internal updater at all as others explained.

So nothing has changed in this regard for over a year and a half which makes the details of your complaint highly suspect and even demonstratively false depending on specifics.
Is it that you have no idea where you are going or what you're supposed to be doing right now?
Or did you just assume when you saw that timer that something in this room is capable of turning it off?

Image

Post Reply